Help:Manual Toolsareader

From Scribus Wiki
Revision as of 20:39, 29 March 2012 by Malex (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Table of Contents

Adobe Reader

Adobe Reader is one of the essential tools to have when using Scribus. Although mostly a viewing application, it has some advanced features which no other PDF viewer has, such as full support for JavaScript with a PDF and detailed information which is embedded in the PDF, but viewable only in Adobe Reader.

As a general rule we cannot recommend judging color correctness in the Mac Preview application or any of the Open Source PDF viewers.

Moreover, although PDF has become an ISO standard, Adobe invented PostScript and PDF, which is based on PostScript, and it has a commercial incentive to promote PDF, as well as standard compliance on all platforms.

Hints for Scribus users:

We highly recommend upgrading to the latest Adobe Reader version. Simply put, there is nothing else more capable of rendering PDF correctly. Whatever your objections were to older versions (and there were some substantial ones, most notably on Linux), the later versions, especially after 7.0.9, ameliorate the vast majority of them. And while it's often being discarded as being a "resource hog", it is still far more stable, bug-free and loads quicker than older versions. On Linux it now has a modern look and feel. Versions after 7.0.9 also have direct support for CUPS and offer many extra options for printing. Any PDF rendering issues with Scribus exported PDF in other viewers should be cross-checked with Reader 7 or higher before reporting bugs to us.

One of the major advantages of the latest Adobe Reader releases is the ability to "flatten" transparency in PDF 1.4+ files. This feature is important, because some printers still can't handle PDFs with transparency. Also, the PDF/X-3 standard, required by many printers these days, doesn't support transparency. While the PDF-to-PDF flattening remains a feature of Adobe's Acrobat program, Adobe Reader allows for creating a "flattened" PostScript file via the print dialog. The resulting PDF file can then be converted back to a PDF file with GSview or a command line tool.

Known Issues

We are aware of color mismatches when viewing PDFs which have some kinds of transparency in PDF 1.4+ files. This has been reported as a bug to Adobe.

It is always recommended to ensure your applications are patched to the latest version to ensure your system is secure. Despite its great benefits, the PDF format has become a target for malware creators and attacks via JavaScript. Disabling JavaScript execution in your PDF viewers when you don't need it may be advisable depending on your situation.

A note to OS/2 and eComStation users

Unfortunately, Adobe doesn't provide new versions of AR for OS/2 anymore. The latest version that reportedly works on these platforms is 5.1, and it requires an additional runtime environment. The runtime environment can be downloaded here. The AR installer is available "> here.

This material may be distributed only subject to the terms and conditions set forth in the Open Publication License, v1.0 or later. Distribution of the work or derivative of the work in any standard (paper) book form is prohibited unless prior permission is obtained from the copyright holder. A copy of the license is included in the section entitled "Text of the Open Publication License."